id: wordpress-easy-table-of-contents

info:
  name: Easy Table of Contents Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/easy-table-of-contents/
  metadata:
    plugin_namespace: easy-table-of-contents
    wpscan: https://wpscan.com/plugin/easy-table-of-contents
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/easy-table-of-contents/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/easy-table-of-contents.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100e9bc4f50341641929fb4318769989d6eeadd4dbe0bff1c19fde14b43bf6d0d08022100df3a36551e2724594bc2a65fc66b1679fcc8f4a85421a7191730e04d7bdc44ca:922c64590222798bb761d5b6d8e72950